Subject: Re: [PATCH v2 3/3] arm64: use the correct function type for __arm64_sys_ni_syscall

From: Sami Tolvanen <[email-masked]>
Date: Fri, 24 May 2019 14:58:21 -0700

On Fri, May 24, 2019 at 07:35:51PM +0100, Will Deacon wrote:
> > In the absence of a patch from Mark, I'd suggest just adding a SYS_NI macro
> > to our asm/syscall_wrapper.h file which avoids the error injection stuff.

If we don't want to use SYSCALL_DEFINE0, I don't think we need a macro
at all. I believe it's cleaner to just define __arm64_sys_ni_syscall with
the correct type in sys.c.

> Do you plan to repost this?

Yes. Sorry for the delay. I'll post v3 shortly.

Sami

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel